## DAViCalUser

Description

A class for viewing and maintaining DAViCal User records

Located in /inc/DAViCalUser.php (line 26)

    User
       |
       --DAViCalUser

Variable Summary
mixed $delete_collection_confirmation_required
mixed $delete_user_confirmation_required
Method Summary
DAViCalUser DAViCalUser ( $id, [ $prefix = ''])
boolean AllowedTo (string $whatever)
void HandleAction ( $action)
string Render ([ $title = ''])
string RenderCollections ( $ef, [ $title = null])
string RenderRelationshipsFrom ( $ef, [ $title = null])
string RenderRelationshipsTo ( $ef, [ $title = null])
boolean Validate ()
void Write ()
Variables
mixed $delete_collection_confirmation_required (line 29)
mixed $delete_user_confirmation_required (line 30)
Methods
Constructor DAViCalUser (line 35)

Constructor - nothing fancy as yet.

DAViCalUser DAViCalUser ( $id, [ $prefix = ''])

- $id
- $prefix

AllowedTo (line 320)

Extend parent definition of what the current user is allowed to do

- return: Whether they are allowed to.

boolean AllowedTo (string $whatever)

- string $whatever: What the user wants to do

HandleAction (line 348)

Handle any unusual actions we might invent

void HandleAction ( $action)

- $action

Render (line 51)

Render the form / viewer as HTML to show the user

- return: An HTML fragment to display in the page.

string Render ([ $title = ''])

- $title

RenderCollections (line 241)

Render the user's collections

- return: The string of html to be output

string RenderCollections ( $ef, [ $title = null])

- $ef
- $title

RenderRelationshipsFrom (line 108)

Render the user's relationships to other users & resources

- return: The string of html to be output

string RenderRelationshipsFrom ( $ef, [ $title = null])

- $ef
- $title

RenderRelationshipsTo (line 157)

Render the user's relationships to other users & resources

- return: The string of html to be output

string RenderRelationshipsTo ( $ef, [ $title = null])

- $ef
- $title

Validate (line 310)

Validate the information the user submitted

- return: Whether the form data validated OK.

boolean Validate ()
Write (line 423)

Write the record to the file

void Write ()

Documentation generated on Sat, 24 Oct 2009 12:40:41 +1300 by phpDocumentor 1.3.2